Subject: childhurd with swap

From: Christopher Baines <[email-masked]>
Date: Tue, 23 Feb 2021 20:35:33 +0000

Hey,

It was mentioned on IRC that swap might help stop childhurd's from
hanging, which I've observed when running guix-build-coordinator agents
within them.

I had a go at getting a swap partition in to the image [1], but I'm not
sure how far I got. I could build an image, and the VM would boot, but
it still wouldn't have any swap, and I couldn't work out how to see if
the partition looked correct.

1: https://git.cbaines.net/guix/log/?h=childhurd-swap

Just putting this up here in case anyone else is knowledgeable about
this,

Chris